/* File name     : intreg.c
 * Creation date : September 1994
 * Author        : Y.Yasu, Online group, Physics department, KEK
 * Modified date : September 1997 K. Nakayoshi, KEK
 */

#include <stdio.h>
#include <sys/types.h>
#include "vmelib.h"
#include "intreg.h"

volatile struct intreg *mm;
extern errno;

main(argc, argv)
int argc;
char **argv;
{
    volatile caddr_t vme_addr;
    int outreg, outbit = 1;

    vme_addr = (volatile caddr_t)vme_mapopen(VME_A16D16MODE, INTREG_ADDR,
                                             INTREG_SIZE);
    if (vme_addr == (volatile caddr_t)-1 ) {
        printf("intreg cannot open! \n");
        exit(1);
    }

    mm = (volatile struct intreg *)vme_addr;
    printf("address = %x\n", mm);

    mm->pulse = 0x0;
    mm->out   = outbit;

    /* display contents of registers... */
    printf("Latch 0 = %4X\n",mm->latch[0] & 0xFF);
    printf("Latch 1 = %4X\n",mm->latch[1] & 0xFF);
    printf("in      = %4X\n",mm->in & 0xFF);
    printf("pulse   = %4X\n",mm->pulse & 0xFF);
    printf("out     = %4X\n",mm->out & 0xFF);
    printf("csr 0   = %4X\n",mm->csr[0] & 0xFF);
    printf("csr 1   = %4X\n",mm->csr[1] & 0xFF);

}


